## class osg::Sphere

## Inheritance:

### Public Methods

Sphere()
Sphere(const osg::Vec3& center, float radius)
Sphere(const Sphere& sphere, const CopyOp& copyop=CopyOp::SHALLOW_COPY)
META_Shape(osg, Sphere)
inline bool valid() const
inline void set(const Vec3& center, float radius)
inline void setCenter(const Vec3& center)
inline const Vec3& getCenter() const
inline void setRadius(float radius)
inline float getRadius() const

### Protected Fields

Vec3 _center
float _radius

### Protected Methods

virtual ~Sphere()

### Inherited from Shape:

### Public Methods

virtual Object* cloneType() const
virtual Object* clone(const CopyOp&) const
virtual bool isSameKindAs(const Object* obj) const
virtual const char* libraryName() const
virtual const char* className() const
virtual void accept(ShapeVisitor&)
virtual void accept(ConstShapeVisitor&) const

### Inherited from Object:

### Public Methods

inline void setDataVariance(DataVariance dv)
inline DataVariance getDataVariance() const
inline void setUserData(Referenced* obj)
inline Referenced* getUserData()
inline const Referenced* getUserData() const

### Public Members

enum DataVariance

### Protected Fields

DataVariance _dataVariance
ref_ptr<Referenced> _userData

### Inherited from Referenced:

### Public Methods

inline Referenced& operator = (Referenced&)
static void setDeleteHandler(DeleteHandler* handler)
static DeleteHandler* getDeleteHandler()
inline void ref() const
inline void unref_nodelete() const
inline int referenceCount() const
inline void unref() const

### Protected Fields

mutable int _refCount

## Documentation

`Sphere()`

`Sphere(const osg::Vec3& center, float radius)`

`Sphere(const Sphere& sphere, const CopyOp& copyop=CopyOp::SHALLOW_COPY)`

`META_Shape(osg, Sphere)`

`inline bool valid() const`

`inline void set(const Vec3& center, float radius)`

`inline void setCenter(const Vec3& center)`

`inline const Vec3& getCenter() const`

`inline void setRadius(float radius)`

`inline float getRadius() const`

`virtual ~Sphere()`

`Vec3 _center`

`float _radius`

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.